<?php
/**
 * Block Variations
 *
 * @package expose-construction
 * @since 1.0.0
 */

/**
 * This is an example of how to register a block variation.
 * Type /full or use the block inserter to insert a full width group block.
 *
 * @see https://developer.wordpress.org/block-editor/reference-guides/block-api/block-variations/
 *
 * @since 1.0.0
 *
 * @return void
 */
function expose_construction_register_block_variation() {
	wp_enqueue_script(
		'expose-construction-block-variations',
		get_template_directory_uri() . '/assets/js/block-variation.js',
		array( 'wp-blocks' ),
		EXPOSE_CONSTRUCTION_VERSION,
		true
	);
}
add_action( 'enqueue_block_assets', 'expose_construction_register_block_variation' );
